Bug 519138 - Review Request: libbs2b - Bauer stereophonic-to-binaural DSP library
Summary: Review Request: libbs2b - Bauer stereophonic-to-binaural DSP library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 10:45 UTC by Karel Volný
Modified: 2014-12-18 14:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 13:30:19 UTC
martin.gieseking: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Karel Volný 2009-08-25 10:45:01 UTC
Spec URL: http://kvolny.fedorapeople.org/libbs2b.spec
SRPM URL: http://kvolny.fedorapeople.org/libbs2b-3.1.0-1.fc11.src.rpm
Description:

The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is designed
to improve headphone listening of stereo audio records. Recommended for
headphone prolonged listening to disable superstereo fatigue without essential
distortions.


The package builds in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1631840

rpmlint complains on the -devel subpackage:

[makerpm@dhcp-lab-151 x86_64]$ rpmlint -v -i libbs2b-*
libbs2b-debuginfo.x86_64: I: checking
libbs2b-devel.x86_64: I: checking
libbs2b-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libbs2b.x86_64: I: checking
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

... but there is no -devel specific documentation, I have nothing to include.

This library is needed for the bs2b plugin for qmmp-0.3.0 (new in this version). Other players, like Audacios and XMMS, and anything able to handle VST plugins can also benefit from this.

Comment 1 Martin Gieseking 2009-08-28 18:01:26 UTC
Hello Karel,

here is the review of your package. It is pretty clean. Just the BuildRequires(pre/post) should be removed (see below).


rpmlint /var/lib/mock/fedora-11-i386/result/*.rpm
libbs2b-devel.i586: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

The warning is expected and can safely be ignored.

---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: License file(s) must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
    - md5 hash is 00d32ffa6461dde6a632c846da3e0a13

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile,...
[X] MUST: All build dependencies must be listed in BuildRequires.
    - Requires(post) and Requires(pre) are redundant here (no %pre scriptlet)
    - dependency /sbin/ldconfig is determined automatically
      (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries)
    
[.] MUST: The spec file MUST handle locales properly. 
    - no locales

[+] MUST: Packages with shared libs must call ldconfig in %post and %postun.
[.] MUST: If the package is designed to be relocatable,...
[.] MUST: A package must own all directories that it creates.
    - doesn't create directories

[+] MUST: File must not be listed more than once in the %files listings.
[+] MUST: Permissions on files must be set properly. 
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
    - no large docs

[+] MUST: Files in %doc must not affect the runtime of the application. 
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
    - no static libs

[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
[+] MUST: .so (without suffix) must go in a -devel package.
[+] MUST: devel packages must have a Requires: %{name} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages with GUI applications must include a %{name}.desktop file.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock 

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    - koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=1641475

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.

Comment 2 Karel Volný 2009-08-31 08:49:38 UTC
(In reply to comment #1)
> here is the review of your package.

thanks

> It is pretty clean. Just the
> BuildRequires(pre/post) should be removed (see below).

oops, too much cut&paste ...

new version uploaded:
http://kvolny.fedorapeople.org/libbs2b.spec
http://kvolny.fedorapeople.org/libbs2b-3.1.0-2.fc11.src.rpm

Comment 3 Martin Gieseking 2009-08-31 12:27:36 UTC
The spec file looks fine now and I found no further things to complain about. :)
The package is APPROVED.

Comment 4 Karel Volný 2009-08-31 12:42:20 UTC
New Package CVS Request
=======================
Package Name: libbs2b
Short Description: Bauer stereophonic-to-binaural DSP library
Owners: kvolny
Branches: F-12
InitialCC:

Comment 5 Jason Tibbitts 2009-08-31 18:49:44 UTC
CVS done.

Comment 6 Karel Volný 2009-09-02 13:30:19 UTC
closing, succesfully built for F-12/rawhide

http://koji.fedoraproject.org/koji/buildinfo?buildID=130114
http://koji.fedoraproject.org/koji/buildinfo?buildID=130111

Comment 7 Karel Volný 2010-12-16 11:20:12 UTC
Package Change Request
======================
Package Name: libbs2b
New Branches: el6
Owners: kvolny

Comment 8 Jason Tibbitts 2010-12-16 22:52:15 UTC
Git done (by process-git-requests).

Comment 9 Karel Volný 2014-12-18 14:13:46 UTC
Package Change Request
======================
Package Name: libbs2b
New Branches: epel7
Owners: kvolny

Comment 10 Gwyn Ciesla 2014-12-18 14:48:24 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.